summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-10-23 07:37:26 +0200
committerHans de Graaff <graaff@gentoo.org>2016-10-23 07:37:26 +0200
commit2c916a5f3cd3fe9733eb2a0d6a18ced47e5eb484 (patch)
tree4aec5ea9add2967851e8a262492fb99fe63aee92 /dev-ruby/mysql2
parentdev-ruby/mysql2: cleanup (diff)
downloadgentoo-2c916a5f3cd3fe9733eb2a0d6a18ced47e5eb484.tar.gz
gentoo-2c916a5f3cd3fe9733eb2a0d6a18ced47e5eb484.tar.bz2
gentoo-2c916a5f3cd3fe9733eb2a0d6a18ced47e5eb484.zip
dev-ruby/mysql2: add 0.4.5
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-ruby/mysql2')
-rw-r--r--dev-ruby/mysql2/Manifest1
-rw-r--r--dev-ruby/mysql2/mysql2-0.4.5.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-ruby/mysql2/Manifest b/dev-ruby/mysql2/Manifest
index 340b01e295d..8bfea9dafe4 100644
--- a/dev-ruby/mysql2/Manifest
+++ b/dev-ruby/mysql2/Manifest
@@ -1,2 +1,3 @@
DIST mysql2-0.3.20.gem 52224 SHA256 37166b21ca4b92a7af9bea566d78884b05391cfc14f786c18e7f264b422f0758 SHA512 65088e57b3693cb2b28cd37fc595de43edb85dba14421c1c43cd0c4e41efc0a8a39bd541213170af95e712998b44411a4212d9b96750207ed9d7292aa1e66c91 WHIRLPOOL 23e9852f3f9ee76e4463c4397b1e96288e2f8575030f33540c7c8cc8ca8fc106be2aec1c117dd008e4026872850731b4396babbbbeb971e8dacf523fe33387c9
DIST mysql2-0.4.4.gem 73728 SHA256 2adf72de58581ddb17abe952f5c7843ee0caf3455ed20c82f9c41583ce3aa3ec SHA512 824f05266f65ebe5b9594a4955c439a931eab3eae2f948077e3fb53626d0402c6713a774b1939d44b8c06224c3f9f3d99299e512c734da0fdb2abe4ee654b7e4 WHIRLPOOL 3653f8d1aa9f1283792946f780bf05ab8b63cb8e157010fc7ef1af951f852b3d4e8426ea170f6da28adb13ea849e8b98c68df3333d93da388030bdd580504b93
+DIST mysql2-0.4.5.gem 76288 SHA256 9469673d09122537569a8a696136f69b8dd825fe8296df9af25c9b346e3709ce SHA512 e0be5579c811f50be698eb1f6ab209ba05c1583b217ed7ae562b4c37a123afcae8727d898591950acaf750a9b8a4394589dd05eab3c43571d4402d3956b6bae9 WHIRLPOOL 51668e27e13240e6d7cb29d7371d658879a4d0874696d21f87fc16d3981d0e6ff7a89c74172f0e44bfcba82d63d674ba6b468aab581f115a7ddf5fffb53cbb8a
diff --git a/dev-ruby/mysql2/mysql2-0.4.5.ebuild b/dev-ruby/mysql2/mysql2-0.4.5.ebuild
new file mode 100644
index 00000000000..e55c3d5c1ed
--- /dev/null
+++ b/dev-ruby/mysql2/mysql2-0.4.5.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+# Tests require a live MySQL database but should all pass.
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A modern, simple and very fast Mysql library for Ruby - binding to libmysql"
+HOMEPAGE="https://github.com/brianmario/mysql2"
+
+LICENSE="MIT"
+SLOT="0.4"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND="${DEPEND} virtual/libmysqlclient"
+RDEPEND="${RDEPEND} virtual/libmysqlclient:="
+
+each_ruby_configure() {
+ ${RUBY} -Cext/mysql2 extconf.rb --with-mysql-config "${EPREFIX}/usr/bin/mysqlconfig" || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/mysql2
+ cp ext/mysql2/mysql2$(get_modname) lib/mysql2/ || die
+}